Subject: 24.3.50; Setq doesn't update the value of the variable

From: Oleg Sivokon <[email-masked]>
Date: Tue, 27 Aug 2013 18:24:48 +0300

Hello,

Unfortunately, I'm not sure what exactly is causing the problem, but I
will try to describe it as much as possible.

First, I ran emacs -Q,
After Emacs loaded, I ran M-x ielm,
Below is the log of my IELM session:

*** Welcome to IELM ***  Type (describe-mode) for help.
ELISP> (setq inferrior-lisp-program "sbcl")
"sbcl"
ELISP> inferrior-lisp-program
"sbcl"
ELISP> (load (expand-file-name "~/quicklisp/slime-helper.el"))
t
ELISP> inferrior-lisp-program
"sbcl"
ELISP>

And here is the relevant content of the *Messages* buffer:

Loading /home/wvxvw/quicklisp/slime-helper.el (source)...done
. . .
apply: Searching for program: no such file or directory, lisp

To elaborate, the default value of `inferrior-lisp-program' is
"lisp", this is why you see it in SLIME's error message.
The problem is, I can execute (setq inferrior-lisp-program "sbcl")
no matter how (using M-: or from *scratch* buffer, or from IELM), but
the variable will not get set.

Best,

Oleg